Page MenuHomeFreeBSD

ps(1): Add a standard exit status section.
ClosedPublic

Authored by 0mp on Sep 13 2018, 7:41 AM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Sep 13 2018, 7:41 AM
bcr accepted this revision.Sep 13 2018, 9:30 AM

Approved, thanks for working on it.

This revision is now accepted and ready to land.Sep 13 2018, 9:30 AM
0mp added subscribers: krion, mat.

@mat, @krion, may I have your approval?

eadler accepted this revision.Sep 15 2018, 11:53 PM
krion accepted this revision.Sep 16 2018, 7:39 AM
jilles added a subscriber: jilles.Sep 16 2018, 1:41 PM

This is not wrong, but perhaps some details about different types of errors may be helpful, such as that nonexistent usernames in -U are immediately fatal while an empty result (such as from only nonexistent process IDs in -p or only existing users that do not currently run any process in -U) still writes the header line (if not disabled) and also returns a non-zero exit status.

This revision was automatically updated to reflect the committed changes.
0mp added a comment.Oct 31 2018, 4:12 PM

@jilles do you think we could open another PR for your suggestions?

This is not wrong, but perhaps some details about different types of errors may be helpful, such as that nonexistent usernames in -U are immediately fatal while an empty result (such as from only nonexistent process IDs in -p or only existing users that do not currently run any process in -U) still writes the header line (if not disabled) and also returns a non-zero exit status.

I've created a PR for this: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=232852